Get all Actions belonging to an account Run in API Explorer
Ask AI
Get all related actions for the referenced account uuid (see header)
Query parameters
-
affects whether to include actions which have been completed. Valid options are "exclude", "include", "only". (default: "exclude")
-
Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to '-created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/portal/actions
curl \
--request GET 'https://api.plannrcrm.com/api/v2/portal/actions' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "5446d1dc-8b4e-44e4-908d-42d8a92fa6d1",
"title": "Signature Request",
"description": "Invited to complete the action item",
"type": "fact_find_request",
"is_completed": "true",
"resource": {
"uuid": "b89dfc68-d887-4cfd-b745-0f097b858149",
"created_at": "2026-11-17T20:47:12+00:00",
"updated_at": "2026-11-17T20:47:12+00:00",
"status": "complete",
"completed_at": "2026-11-12T20:47:12+00:00",
"invitation_text": "Please complete this fact find!",
"schema": {
"uuid": "87eed5ef-18cc-42a2-beef-bfb3d97ba817",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"archived_at": "2026-11-16T20:47:16+00:00",
"is_archived": false,
"name": "Default fact find",
"introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
"sections_count": 5,
"public_url": "https://api.plannrcrm.com/fact-find/d457e482-e549-4b6f-b9b6-017f897dfbec"
},
"latest_file": {
"uuid": "536ee84a-728f-4bc2-bbef-66374af66684",
"created_at": "2026-11-17T20:47:16+00:00",
"original_created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"uploaded_at": "2026-11-17T20:47:16+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-17T20:47:16+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/a85b85fc-520e-4921-9dcf-c08977a2ac94/download",
"preview_url": "https://api.plannrcrm.com/file/f95d4922-84e9-41f9-b402-66881962bb2a/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"account": {
"uuid": "8620dd83-2ef9-474d-a945-22f66848083e",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"invitation_url": "https://api.plannrcrm.com/fact-find/d328de8b-cbff-41de-9981-c2d1f280caf7/5c1e62df-7da0-4d60-bba8-f97e8a106d1f",
"fact_find_passes": {
"uuid": "b7d801f1-c428-4eaa-b165-339bb054fd7f",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"firm": {
"uuid": null,
"name": "Codepotato Ltd"
},
"circle": {
"uuid": null,
"name": "The Codepotato Gang"
},
"expires_at": "2026-11-17T20:47:16+00:00",
"progress": 50,
"is_complete": false,
"completed_sections": 2
}
},
"created_at": "2026-11-17T20:47:12+00:00"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}